=== debian/changelog ===
libqaccessibilityclient (0+git20130108-0ubuntu3) raring; urgency=low

  * Update symbols file for powerpc as well.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 20 Jan 2013 14:29:59 -0700

libqaccessibilityclient (0+git20130108-0ubuntu2) raring; urgency=low

  * Update .symbols file for ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 12:40:07 +0000

libqaccessibilityclient (0+git20130108-0ubuntu1) raring; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jan 2013 15:34:31 +0000
