## libqaccessibilityclient 0+git20140203

=== examples/CMakeLists.txt ===
add_subdirectory(accessibleapps)
