=== debian/changelog ===
libqaccessibilityclient (0+git20140203-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 14:48:00 +0000

libqaccessibilityclient (0+git20140203-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot
    - Update symbols files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 03 Feb 2014 17:17:37 +0100
