=== debian/control ===
Source: libqaccessibilityclient
Priority: extra
Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), pkg-kde-tools, cmake, libqt4-dev
Standards-Version: 3.9.4
Section: libs
Homepage: https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient

Package: libqaccessibilityclient-dev
Section: libdevel
Architecture: any
Depends: libqaccessibilityclient0 (= ${binary:Version}), ${misc:Depends}
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the development files.

Package: libqaccessibilityclient0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
