=== debian/changelog ===
libqaccessibilityclient (0.1.1-5) unstable; urgency=medium

  * Team upload.
  * Hide the symbols by default; public symbols are marked as such already.
    This should reduce the number of exported symbols, and thus our symbols
    file can be simplified a bit.
  * Add Build-Depends-Package in symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Aug 2016 22:47:07 +0200

libqaccessibilityclient (0.1.1-4) unstable; urgency=medium

  * Team upload.
  * Update symbols file. (Closes: #827152, #827153)

 -- Pino Toscano <pino@debian.org>  Sun, 21 Aug 2016 18:20:54 +0200

libqaccessibilityclient (0.1.1-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file.
  * Backport upstream commit 1e1c469597e0e692caea11c89f6da831ad2410b3 to
    add missing linking to QtGui; patch upstream_qt4-link-to-QtGui.patch.
  * Small touches to descriptions.
  * Enable parallel build.

 -- Pino Toscano <pino@debian.org>  Tue, 31 May 2016 07:43:56 +0200

libqaccessibilityclient (0.1.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * Drop XS-Testsuite field, no longer needed
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update build-deps and deps with the info from cmake
  * Update symbols files from buildds logs (0.1.1-1).
  * Update symbols files.
  * Add a .gitattributes file to use dpkg-mergechangelogs

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 May 2016 19:07:45 +0200

libqaccessibilityclient (0.1.1-1) experimental; urgency=medium

  * Initial release.
  * New patch: libdir.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 19 Feb 2015 10:20:05 +0100
