=== debian/control ===
Source: libqaccessibilityclient
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.6~), debhelper (>= 9), libqt4-dev, pkg-kde-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/playground/accessibility/libkdeaccessibilityclient
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/libqaccessibilityclient.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/libqaccessibilityclient.git

Package: libqaccessibilityclient-dev
Section: libdevel
Architecture: any
Depends: libqaccessibilityclient0 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends}
Description: helper to make writing accessibility tools easier -- development
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the development files.

Package: libqaccessibilityclient0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the shared library.
