=== debian/watch ===
version=3

http://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.(?:xz|bz2)
