## libqaccessibilityclient 0.2.0

=== debian/changelog ===
libqaccessibilityclient (0.2.0-3) unstable; urgency=medium

  * Team upload.
  * Move the acc file from libqaccessibilityclient-qt5-0 to
    libqaccessibilityclient-qt5-dev, and make it work.
  * Bump Standards-Version to 4.2.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Aug 2018 07:07:39 +0200

libqaccessibilityclient (0.2.0-2) unstable; urgency=medium

  * Team upload.
  * Make libqaccessibilityclient-qt5-dev break/replace the old
    libqaccessibilityclient-dev, since they have files in common.
  * Add the allow-stderr restriction to the 'acc' autopkgtest, since it is how
    acc works.
  * Mark libqaccessibilityclient-qt5-dev as Multi-Arch: same.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Aug 2018 07:26:03 +0200

libqaccessibilityclient (0.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update vcs and homepage fields

  [ Pino Toscano ]
  * New upstream release.
  * Switch watch file to use "unstable" releases, even if the latest looks
    stable.
  * Build with Qt5 instead of Qt4: (Closes: #875035)
    - switch libqt4-dev build & runtime dependency to qtbase5-dev
    - adapt the names of the binaries to the new library name:
      - libqaccessibilityclient0 -> libqaccessibilityclient-qt5-0
      - libqaccessibilityclient-dev -> libqaccessibilityclient-qt5-dev
    - update install files
    - update symbols file
  * Update the patches:
    - upstream_qt4-link-to-QtGui.patch: drop, backported from upstream
  * Backport upstream commit f5a27fab1eda69c6cca24463868262f487977aac to fix
    the destructor of an internal class; patch
    upstream_Add-missing-virtual-destructor.patch.
  * Backport upstream commit 34f6084ff3ba1dd025cae17e5d114caff1d7fa6f to fix
    build with newer versions of GCC/Clang; patch
    upstream_Compile-with-clang-and-make-sure-qHash-works-with-Ac.patch.
    (Closes: #897792)
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.1.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jul 2018 23:04:19 +0200
