=== debian/watch ===
version=3

https://download.kde.org/unstable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.xz
