## libqaccessibilityclient 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,21 @@
-project(QAccessibilityClient)
+cmake_minimum_required(VERSION 3.0.0)
 
-set(QACCESSIBILITYCLIENT_VERSION_MAJOR 0)
-set(QACCESSIBILITYCLIENT_VERSION_MINOR 1)
-set(QACCESSIBILITYCLIENT_VERSION_PATCH 0)
-set(QACCESSIBILITYCLIENT_VERSION ${QACCESSIBILITYCLIENT_VERSION_MAJOR}.${QACCESSIBILITYCLIENT_VERSION_MINOR}.${QACCESSIBILITYCLIENT_VERSION_PATCH})
+include(FeatureSummary)
+find_package(ECM REQUIRED NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(ECMSetupVersion)
+
+cmake_policy(SET CMP0048 NEW)
+project(QAccessibilityClient VERSION "0.3.0")
+
+ecm_setup_version(${PROJECT_VERSION}
+    VARIABLE_PREFIX QACCESSIBILITYCLIENT
+    SOVERSION ${PROJECT_VERSION_MAJOR}
+    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/libqaccessibilityclient-version.h"
+)
 
 # minimum required cmake is 2.8.6 for automoc-support
 cmake_minimum_required(VERSION 2.8.6)
@@ -12,8 +24,7 @@
 
 set(CMAKE_AUTOMOC TRUE)
 
-# override the KDE defaults and build tests unless explicitly disabled
-option(KDE4_BUILD_TESTS  "Build the tests" ON)
+enable_testing()
 
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
@@ -22,32 +33,19 @@
 
 find_package(Qt5Widgets QUIET)
 find_package(Qt5DBus QUIET)
+find_package(Qt5Test QUIET)
+set(BUILD_TESTS ${Qt5Test_FOUND})
 
+add_definitions(${Qt5Core_DEFINITIONS} ${Qt5Widgets_DEFINITIONS} ${Qt5DBus_DEFINITIONS})
+include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5DBus_INCLUDE_DIRS})
 
-if (${Qt5Widgets_FOUND} AND ${Qt5DBus_FOUND})
-    set(QT5_BUILD True)
-endif (${Qt5Widgets_FOUND} AND ${Qt5DBus_FOUND})
-
-if (QT5_BUILD)
-    message("Using Qt 5")
-    add_definitions(${Qt5Core_DEFINITIONS} ${Qt5Widgets_DEFINITIONS} ${Qt5DBus_DEFINITIONS})
-    include_directories(${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS} ${Qt5DBus_INCLUDE_DIRS})
-else (QT5_BUILD)
-    find_package(Qt4 REQUIRED)
-    if (${QT4_FOUND})
-        message("Using Qt 4")
-        include(${QT_USE_FILE})
-        add_definitions(${QT_DEFINITIONS})
-        include_directories(${QT4_INCLUDES} ${QT_INCLUDE_DIR} ${QT_QT_INCLUDE_DIR} ${QT_QTDBUS_INCLUDE_DIR})
-    endif (${QT4_FOUND})
-endif (QT5_BUILD)
-
+set(QACCESSIBILITYCLIENT_LIB_NAME "qaccessibilityclient-qt5")
 
 set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
 
 if (WIN32)
    set(EXEC_INSTALL_PREFIX  "")
-   set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}")
+   set(LIB_INSTALL_DIR "lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
    set(BIN_INSTALL_DIR "bin")
    set(INCLUDE_INSTALL_DIR  "include")
 else (WIN32)
@@ -56,7 +54,8 @@
    endif(APPLE)
    set(EXEC_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
    set(BIN_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/bin")
-   set(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
+   set(LIB_INSTALL_DIR "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING
+       "Directory where lib will install")
    set(INCLUDE_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/include")
 endif (WIN32)
