=== examples/accessibleapps/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,8 @@
-project(accessibleapps)
+cmake_policy(SET CMP0048 NEW)
+project(accessibleapps VERSION "")
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++0x")
-
-if (QT5_BUILD)
-    add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
-endif (QT5_BUILD)
+add_definitions(${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
 
 include_directories(
     ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
@@ -32,13 +30,10 @@
     eventview.ui
 )
 
-if (QT5_BUILD)
-    qt5_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
-else (QT5_BUILD)
-    qt4_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
-endif (QT5_BUILD)
+qt5_wrap_ui(accessibleapps_UI_HDRS ${accessibleapps_UIS})
 
 add_executable(accessibleapps ${accessibleapps_SRCS} ${accessibleapps_MOC} ${accessibleapps_UI_HDRS})
-target_link_libraries(accessibleapps ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBRARY} qaccessibilityclient)
+
+target_link_libraries(accessibleapps ${Qt5Widgets_LIBRARIES} ${Qt5Test_LIBRARIES} ${QACCESSIBILITYCLIENT_LIB_NAME})
 
 install(TARGETS accessibleapps DESTINATION bin)
