=== debian/changelog ===
libqaccessibilityclient (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch watch file back to use "stable" releases, now that there are again.
  * Update the patches:
    - libdir.diff: drop, fixed upstream
    - upstream_Add-missing-virtual-destructor.patch: drop, backported from
      upstream
    - upstream_Compile-with-clang-and-make-sure-qHash-works-with-Ac.patch:
      drop, backported from upstream
  * Add the new required extra-cmake-modules build dependency.
  * Install README.md as documentation instead of README.
  * Disable the test suite, since it needs D-Bus & AT-SPI.
  * Update symbols file.
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Nov 2018 22:00:16 +0100
