=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.6~), debhelper (>= 11~), pkg-kde-tools,
  qtbase5-dev,
-Standards-Version: 4.2.0
+ extra-cmake-modules,
+Standards-Version: 4.2.1
 Homepage: https://phabricator.kde.org/source/libqaccessibilityclient
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient.git
