=== examples/CMakeLists.txt ===
add_subdirectory(accessibleapps)
add_subdirectory(dumper)
