=== debian/changelog ===
libqaccessibilityclient (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Stop specifying LIB_INSTALL_DIR for cmake, as ECM already does that.
  * Disable the build of tests and example (passing -DBUILD_TESTING=OFF to
    cmake), as they are not run anyway
    - drop debian/not-installed, no more needed now
  * Drop the unused 'testsuite' autopkgtest.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Jul 2019 21:44:16 +0200
