=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.6~), debhelper (>= 11~), pkg-kde-tools,
  qtbase5-dev,
  extra-cmake-modules,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://phabricator.kde.org/source/libqaccessibilityclient
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient.git
