=== debian/watch ===
version=3

https://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.xz
