=== examples/CMakeLists.txt ===
add_subdirectory(dumper)
