=== debian/control ===
Source: libqaccessibilityclient
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.91.0~),
               qt6-base-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/libqaccessibilityclient
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libqaccessibilityclient.git

Package: libqaccessibilityclient-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqaccessibilityclient-qt6-0 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: helper to make writing accessibility tools easier -- development
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the development files.

Package: libqaccessibilityclient-qt6-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: helper to make writing accessibility tools easier
 Helper library to make writing accessibility tools easier.  Used by
 screen readers for example.
 .
 This package contains the shared library.
