=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/libqaccessibilityclient/libqaccessibilityclient-([\d.]+)\.tar\.xz
